/***************************************************************************
                          progeditor.h  -  description
                             -------------------
    copyright            : (C) 2003 by Pierre Barbier de Reuille
    email                : harbort@nerim.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _PROGEDITOR_HH_
#define _PROGEDITOR_HH_

#include <qmainwindow.h>

class SpaceMap;
class SpaceZones;
class ReferenceCenter;
class ProgWnd;
class ObjectRef;
//class ProgBar;

class ProgEditor : public QMainWindow
{
  Q_OBJECT

public:
  ProgEditor(QWidget * parent = 0, const char * name = 0, WFlags f = WType_TopLevel);
  ~ProgEditor();

  void setRef(SpaceMap* map, SpaceZones* zones, ReferenceCenter *refCenter, ObjectRef* oref);
  const ProgWnd* getProgWnd() const { return tree; }
  ProgWnd* getProgWnd() { return tree; }

public slots:

protected:
  SpaceMap *smap;
  SpaceZones *zones;
  ReferenceCenter *refCenter;
  ProgWnd* tree;
  ObjectRef *objRef;
  //ProgBar *objbar, *testbar, *valuebar, *actionbar;

};

#endif
