/***************************************************************************
                          global.h  -  description
                             -------------------
    copyright            : (C) 2003 by Pierre Barbier de Reuille
    email                : harbort@nerim.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef GLOBAL_HH
#define GLOBAL_HH

#include <qstring.h>

extern QString homeDir;
extern QString spaceDir;
QString getEditorDir();
QString getThemeDir();


struct InvalidXmlException
{ };

struct InvalidDataException
{ };

enum POSITION
{
  LEFT,
  RIGHT,
  DOWN,
  UP,
  NONE
};


#endif // GLOBAL_HH

