/***************************************************************************
                          myzonesetedit.h  -  description
                             -------------------
    copyright            : (C) 2003 by Pierre Barbier de Reuille
    email                : harbort@nerim.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _MYZONESETEDIT_HH_
#define _MYZONESETEDIT_HH_

#include "zonesetedit.h"

#include <qstring.h>

#include <set>

using namespace std;

class MyZoneSetEdit : public ZoneSetEdit
{
  Q_OBJECT

public:
  MyZoneSetEdit(const QString& zone_set_name, const set<QString>& zones, const set<QString>& used,
		QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );

  set<QString> used;
public slots:
  virtual void remove_zone();
  virtual void put_zone();

protected slots:
  virtual void accept();

};

#endif
