#ifndef PROGMENU_HH
#define PROGMENU_HH

#include <qpopupmenu.h>
#include <qpoint.h>

#include <vector>

using namespace std;

class ProgElement;
class ProgRef;

class ProgMenu : public QPopupMenu
{
  Q_OBJECT

public:
  ProgMenu( ProgRef* ref, QWidget* parent = NULL, const char* name = NULL );
  void popup( ProgElement* item, const QPoint& pos, int indexAtPoint = 0 );
  ProgElement* itemType( int pos );

public slots:
  void deleteItem();
  void copyItem();
  void cutItem();
  void pasteItem();
  void configItem();

protected:
  void setContent(ProgElement* item);
  vector<ProgElement*> array;

  ProgElement *current;
  ProgRef* ref;
};

#endif // PROGMENU_HH

